function Est32200_ProdutosSemMovimentacao_Repository(restEngine) {

    this.getParamFilial = function(cdfilial){
        return restEngine.post('est#/paramfilial_paramvalidacoes', {
            "requestType": "FilterData",
            "filter": [
                {
                    "name": "P_CDFILIAL",
                    "operator": "=",
                    "value": cdfilial
                }
            ]
        });
    };

    this.gerarRelatorio = function(row){
        return restEngine.post('est_relatorios#/gerarRelatorioEst32200', {
            "requestType": "Row",
            "row": row
        });
    };
}

Configuration(function(ContextRegister) {
    ContextRegister.register('Est32200_ProdutosSemMovimentacao_Repository', Est32200_ProdutosSemMovimentacao_Repository);
});